const system=require("../system");
const settings=require("../../config/settings.js");
const reclient=system.getObject("util.redisClient");
const md5 = require("MD5");
//获取平台配置兑换率
//初次登录的赠送数量
//创建一笔交易
//同时增加账户数量,增加系统平台账户
var dbf=system.getObject("db.common.connection");
var db=dbf.getCon();
db.sync({force:true}).then(async ()=>{
  console.log("sync complete...");
      db.models.rpttype.bulkCreate([
        {code:"NA",name:"资产负债表-企业会计准则"},
        {code:"SA",name:"资产负债表-小企业会计准则"},
        {code:"NP",name:"利润表-企业会计准则"},
        {code:"SP",name:"利润表-小企业会计准则"},
        {code:"ST",name:"小规模纳税申报"},
        {code:"GT",name:"一般纳税申报"},
        {code:"ITQ",name:"中华人民共和国企业所得税月(季)度预缴纳税申报表(A类2018年版)2019年修订A200000"},
        {code:"ITY_ADV",name:"广告费和业务宣传费跨年度纳税调整明细表A105060"},//** *
        {code:"ITY_INCOME_DESC",name:"一般企业收入明细表A101010"},
        {code:"ITY_PERIOD",name:"期间费用明细表A104000"},//** *
        {code:"ITY_FILL_LOST",name:"企业所得税弥补亏损明细表A106000"},//888
        {code:"ITY_COST",name:"一般企业成本支出明细表A102010"},//*** 
        {code:"ITY",name:"中华人民共和国企业所得税年度纳税申报表（A类）A100000"},//xxxx
        {code:"ITY_DISCOUNT_ADJUST",name:"资产折旧、摊销及纳税调整明细表A105080"},//xxx
    ]);
 
});
